﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace SilverlightApplication3
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			this.RadTileViewUsers.ItemsSource = Enumerable.Range(0, 30);
		}

		private void RadTileViewUsers_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{

		}

		private void RadTileViewUsers_PreviewTilePositionChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			var container = e.OriginalSource as RadTileViewItem;

			if (container != null)
			{
				int index = this.RadTileViewUsers.ItemContainerGenerator.IndexFromContainer(container);
				if (index % 3 == 0)
					e.Handled = true;
			}

		}

		private void RadTileViewUsers_PreviewTileDragStarted(object sender, TileViewDragEventArgs e)
		{
			var container = e.DraggedItem as RadTileViewItem;

			if (container != null)
			{
				int index = this.RadTileViewUsers.ItemContainerGenerator.IndexFromContainer(container);
				if (index % 6 == 0)
					e.Handled = true;
			}
		}
	}
}
